From 6620d22d46a5addeae7099e8464968a6d5822596 Mon Sep 17 00:00:00 2001
From: Sean Whitton <spwhitton@spwhitton.name>
Date: Wed, 22 Jun 2016 16:12:42 +0900
Subject: [PATCH] set remote.dgit.skipDefaultUpdate to false

This fixes `git remote update' in dgit repositories.
---
 debian/changelog | 7 +++++++
 dgit             | 7 +++++++
 2 files changed, 14 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index a52b712..cfec817 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+dgit (1.5) UNRELEASED; urgency=medium
+
+  * Repository setup sets remote.dgit.skipDefaultUpdate to true.
+    This fixes `git remote update' in dgit repositories.
+
+ -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 22 Jun 2016 16:11:19 +0900
+
 dgit (1.4) unstable; urgency=high
 
   Bugfixes:
diff --git a/dgit b/dgit
index e02a6bd..c2ac386 100755
--- a/dgit
+++ b/dgit
@@ -1696,9 +1696,16 @@ sub setup_useremail (;$) {
     $setup->('name', 'DEBFULLNAME');
 }
 
+# Without this setting, `git remote update' will try to fetch from the
+# dgit remote, which will result in an "Invalid gitfile format" error
+sub setup_dgitremote () {
+    set_local_git_config "remote.$remotename.skipDefaultUpdate", "true";
+}
+
 sub setup_new_tree () {
     setup_mergechangelogs();
     setup_useremail();
+    setup_dgitremote();
 }
 
 sub clone ($) {
-- 
2.8.1

